Page MenuHomePhabricator

Upgrade NukeDPL extension to use newer phan
Closed, ResolvedPublic

Description

NukeDPL needs to be upgraded to a newer version of phan, our PHP static analysis tool. This brings in
over 2 years of upstream improvements and lots of bug fixes.

Please follow the instructions on how to migrate at https://www.mediawiki.org/wiki/Continuous_integration/Tutorials/Add_phan_to_a_MediaWiki_extension#Migrating_from_phan_0.8.0.

Please also set the Gerrit topic for all patches related to this effort with new-phan-plz.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2019, 7:29 AM

Change 492765 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/NukeDPL@master] Upgrade NukeDPL to use newer version of phan

https://gerrit.wikimedia.org/r/492765

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptFeb 25 2019, 8:31 PM

Change 492765 merged by jenkins-bot:
[mediawiki/extensions/NukeDPL@master] Upgrade NukeDPL to use newer version of phan

https://gerrit.wikimedia.org/r/492765

Legoktm closed this task as Resolved.Feb 26 2019, 6:39 AM